Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

GLIBC package dependency error when upgrading to CM 5.8

Highlighted

GLIBC package dependency error when upgrading to CM 5.8

New Contributor

Hello All,

 

When upgarding the CM to 5.8 version, we are receiving the following errror, please do suggest on the solutions.

 

System:

RedHat 6.5

 

Command;

# sudo yum upgrade cloudera-manager-server

 

Error:

........

--> Running transaction check

---> Package cloudera-manager-daemons.x86_64 0:5.7.0-1.cm570.p0.76.el6 will be updated

--> Processing Dependency: cloudera-manager-daemons = 5.7.0 for package: cloudera-manager-agent-5.7.0-1.cm570.p0.76.el6.x86_64

---> Package cloudera-manager-daemons.x86_64 0:5.8.1-1.cm581.p0.7.el7 will be an update

---> Package cloudera-manager-server-db-2.x86_64 0:5.7.0-1.cm570.p0.76.el6 will be updated

---> Package cloudera-manager-server-db-2.x86_64 0:5.8.1-1.cm581.p0.7.el7 will be an update

--> Running transaction check

---> Package cloudera-manager-agent.x86_64 0:5.7.0-1.cm570.p0.76.el6 will be updated

---> Package cloudera-manager-agent.x86_64 0:5.8.1-1.cm581.p0.7.el7 will be an update

--> Processing Dependency: libc.so.6(GLIBC_2.13)(64bit) for package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64

--> Processing Dependency: libc.so.6(GLIBC_2.17)(64bit) for package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64

--> Processing Dependency: libc.so.6(GLIBC_2.15)(64bit) for package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64

--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) for package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64

--> Processing Dependency: libc.so.6(GLIBC_2.14)(64bit) for package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64

--> Processing Dependency: libpython2.7.so.1.0()(64bit) for package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64

--> Finished Dependency Resolution

Error: Package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64 (cloudera-manager)

           Requires: libc.so.6(GLIBC_2.13)(64bit)

Error: Package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64 (cloudera-manager)

           Requires: libpython2.7.so.1.0()(64bit)

Error: Package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64 (cloudera-manager)

           Requires: libc.so.6(GLIBC_2.17)(64bit)

Error: Package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64 (cloudera-manager)

           Requires: libc.so.6(GLIBC_2.14)(64bit)

Error: Package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64 (cloudera-manager)

           Requires: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)

Error: Package: cloudera-manager-agent-5.8.1-1.cm581.p0.7.el7.x86_64 (cloudera-manager)

           Requires: libc.so.6(GLIBC_2.15)(64bit)

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest

Don't have an account?
Coming from Hortonworks? Activate your account here